<!--
  Generated template for the DaftarResepPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon style="color:white" name="menu"></ion-icon>
    </button>
    <ion-title style="color:white">Daftar Obat</ion-title>
  </ion-navbar>
</ion-header>
<ion-content padding style="background-color: #f7f69e">
  <div *ngFor = "let m of medicinesData">
      <div style="padding:2px" *ngFor = "let c of categoryData; let i = index" (click)="toggleGroup(i)" [ngClass]="{active: isGroupShown(i)}">
        <ion-card no-margin style="width:100%;" *ngIf = "m.category_id == c.id">
          <ion-card-header>
            <ion-grid>
              <ion-row><p style="font-size:16px; color:#555555"><strong>Obat:</strong> {{m.name}}</p></ion-row>
              <ion-row><p style="font-size:16px; color:#555555"><strong>Jenis Obat:</strong> {{c.name}}</p></ion-row>
              <ion-row><p style="font-size:16px; color:#555555"><strong>Kegunaan:</strong> {{c.info}}</p></ion-row>
            </ion-grid>
          </ion-card-header>
      
          <!-- <div style="text-align:center">
            <button ion-button style="background-color:transparent; color:black; height:0.7em" (click)="btnShowClicked()" *ngIf="buttonClicked2"><ion-icon name="arrow-down"></ion-icon></button>
            <button ion-button style="background-color:transparent; color:black; height:0.7em" (click)="btnShowClicked2()" *ngIf="buttonClicked "><ion-icon name="arrow-up" ></ion-icon></button>
          </div> -->
        
          <ion-card-content *ngIf="isGroupShown(i)">
            <button ion-button clear (click)="dosis(c)">Dosis</button>
            <ion-grid style="border-top:1px solid #c0c0c0;">
              <ion-row>
                <div>
                  <p style="font-size:16px; color:#555555"><strong>Usage</strong></p>
                  <p>{{c.usage}}</p>
                </div>
              </ion-row>
              <br>
              <ion-row>
                <div>
                  <p style="font-size:16px; color:#555555"><strong>Prohibition</strong></p>
                  <p>{{c.prohibition}}</p>
                </div>
              </ion-row>
            </ion-grid>
          </ion-card-content>
          
        </ion-card>  
      </div>
  </div>
<!-- <div *ngFor = "let m of medicinesData">
    <div *ngFor = "let c of categoryData">
      <ion-card no-margin style="width:100%;"  *ngIf = "m.category_id == c.id">
          <ion-list>
            <ion-item-sliding>
              <ion-item>
                  <ion-grid  style="padding:0">
                    <ion-row>
                      <ion-col style="padding:0">
                          {{m.name}}
                      </ion-col>
                      <ion-col style="padding:0 0 0 8px; border-left:1px solid #c0c0c0">
                          {{c.name}}
                      </ion-col>                          
                    </ion-row>
                    <ion-row>
                      <ion-col style="padding:8px 0 0 0">
                          {{c.info}}
                      </ion-col>
                      <ion-col style="padding:0 0 0 8px; border-left:1px solid #c0c0c0">
  
                        </ion-col>              
                    </ion-row>
                  </ion-grid>
              </ion-item>
              <ion-item-options>
                <button ion-button (click)="dosis(c)">Dosis</button>
              </ion-item-options>
            </ion-item-sliding>
            
          </ion-list>
    
            <div style="text-align:center">
                <button ion-button style="background-color:transparent; color:black; height:0.7em" (click)="btnShowClicked()" *ngIf="buttonClicked2"><ion-icon name="arrow-down"></ion-icon></button>
                <button ion-button style="background-color:transparent; color:black; height:0.7em" (click)="btnShowClicked2()" *ngIf="buttonClicked "><ion-icon name="arrow-up" ></ion-icon></button>
              </div>
    
        <ion-card-content *ngIf="buttonClicked">
          <div>{{c.usage}}</div>
          <div>{{c.prohibition}}</div>
        </ion-card-content>
        
      </ion-card>  
    </div>
</div> -->


  
</ion-content>
